package com.huigou.topsun.ep.order.application;


import com.huigou.topsun.ep.order.domain.EpSaleOrder;
import com.huigou.topsun.ep.order.domain.query.EpSaleOrderQueryRequest;
import com.huigou.topsun.ep.order.domain.vo.EpSaleOrderVo;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/12/19:13
 * @Description:
 */
public interface EpSaleOrderApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/ep/epSaleOrder/epSaleOrder.xml";

    String PROCESS_DEFINITION_KEY = "epSaleOrderProc";

    EpSaleOrder findEpSaleOrderById(String id);

    void deleteEpSaleOrderById(List<String> ids);

    void updateEpSaleOrder(EpSaleOrder costCenter);

    EpSaleOrder saveEpSaleOrder(EpSaleOrder costCenter);

    Map<String, Object> slicedEpSaleOrderList(EpSaleOrderQueryRequest queryRequest);

    void saveEpSaleOrderVo(List<EpSaleOrderVo> epSaleOrderVos);

    Map<String, Object> print(String id);
}
